%global pypi_name jaraco.context
%global pkg_name  jaraco-context

%bcond_with tests

Name:           python-%{pkg_name}
Version:        4.1.1
Release:        %mkrel 1
Summary:        Context managers by jaraco
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.text
Source0:        %{pypi_source}
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(toml)

%if %{with tests}
# test requirements
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-checkdocs)
BuildRequires:  python3dist(pytest-flake8)
BuildRequires:  python3dist(pytest-black)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-mypy)
BuildRequires:  python3dist(pytest-enabler)
%endif

%description
%{summary}

%package -n     python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3dist(six)
Requires:       python3dist(jaraco.functools)
%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
%{summary}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with tests}
%check
%pytest
%endif

%install
%py3_install

%files -n python3-%{pkg_name}
%doc LICENSE
%doc README.rst
%{python3_sitelib}/jaraco/context.py
%{python3_sitelib}/jaraco/__pycache__
%{python3_sitelib}/jaraco.context-%{version}-py%{python3_version}.egg-info/


%changelog
* Sun Mar 20 2022 guillomovitch <guillomovitch> 4.1.1-1.mga9
+ Revision: 1808348
- imported package python-jaraco-context

